using UnityEngine;

namespace RothenburgAR.UI
{
    public abstract class BaseViewBehaviour : MonoBehaviour
    {
        public void SwitchToARView()
        {
            UIManager.Instance.SwitchToView(ViewName.ARView);
        }
        public void SwitchToTutorialView()
        {
            UIManager.Instance.SwitchToView(ViewName.TutorialView);
        }
        public void SwitchToCreditsView()
        {
            UIManager.Instance.SwitchToView(ViewName.CreditsView);
        }
        public void SwitchToSettingsView()
        {
            UIManager.Instance.SwitchToView(ViewName.SettingsView);
        }

        public void SwitchToLanguageSelectView()
        {
            UIManager.Instance.SwitchToView(ViewName.LanguageSelectView);
        }

        public void SwitchToColorSelectView()
        {
            UIManager.Instance.SwitchToView(ViewName.ColorSelectView);
        }

        public void SwitchToFontsizeSelectView()
        {
            UIManager.Instance.SwitchToView(ViewName.FontsizeSelectView);
        }
        public void SwitchToUpdaterView()
        {
            UIManager.Instance.SwitchToView(ViewName.UpdaterView);
        }
    }
}
